Bug 23236 - Remove 'its items may still be processed' in action if no match is found
Summary: Remove 'its items may still be processed' in action if no match is found
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Caroline Cyr La Rose
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-28 18:30 UTC by Caroline Cyr La Rose
Modified: 2020-04-16 21:50 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Attachment to Bug 23236 - Remove 'its items may still be processed' in action if no match is found (994 bytes, patch)
2020-02-12 19:56 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
test bib record (1.68 KB, text/plain)
2020-02-12 20:00 UTC, Caroline Cyr La Rose
Details
Bug 23236 - Remove 'its items may still be processed' in action if no match is found (1.03 KB, patch)
2020-03-13 12:22 UTC, Devinim
Details | Diff | Splinter Review
Bug 23236: Remove 'its items may still be processed' in action if no match is found (2.09 KB, patch)
2020-03-17 11:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2019-06-28 18:30:42 UTC
I think this is only a string bug, but I'd like a developer to make sure nothing happens behind the scenes.

When importing records and looking for duplicate records using record matching rules, there is an option if NO match is found to "ignore incoming record (its items may still be processed)". This doesn't make any sense. Where would the items go if there is no match?

To reproduce :
1) Go to tools > Stage MARC for import
2) Browse and choose a file and click on Upload file
3) Go to the Look for existing records in catalog? section
4) Open the drop down for Action if no match is found
5) Note that one option says Ignore incoming record (its items may still be processed)

This option should only say Ignore incoming record.
Comment 1 Caroline Cyr La Rose 2020-02-12 19:56:18 UTC
Created attachment 98774 [details] [review]
Attachment to Bug 23236 - Remove 'its items may still be processed' in action if no match is found

Bug 23236 - Remove 'its items may still be processed' in action if no match is found

When importing records and looking for duplicate records using record matching rules, 
there is an option if NO match is found to "ignore incoming record (its items may 
still be processed)". This doesn't make any sense. Where would the items go if there 
is no match?

To test:
1) Go to Tools > Stage MARC for import
2) Browse and choose a file with at least one record that is not already in your 
catalog and click on Upload file
3) Fill out the first section with the appropriate information
4) In the Look for existing records in catalog? section, choose a record matching 
rule
5) In the Action if no match is found drop-down menu, choose Ignore incoming record 
(its items may still be processed)
6) Click on Stage for import
7) Click on Manage staged records
8) Click Import this batch in the catalog
9) In the table, the record status should say Ignore
10) Apply patch
11) Redo steps 1-9, notice the option Ignore incoming records does not mention items
12) Make sure the tool still works and still ignores the record
Comment 2 Caroline Cyr La Rose 2020-02-12 20:00:29 UTC
Created attachment 98776 [details]
test bib record

I attached a bib record (bibliographic, encoding UTF-8, format MARC) that you can try to import. It has an ISBN and unless you have obscure Quebec authors in your catalog, you shouldn't already have it :)
Comment 3 Devinim 2020-03-13 12:22:55 UTC
Created attachment 100682 [details] [review]
Bug 23236 - Remove 'its items may still be processed' in action if no match is found

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 4 Jonathan Druart 2020-03-17 11:19:12 UTC
Created attachment 100887 [details] [review]
Bug 23236: Remove 'its items may still be processed' in action if no match is found

When importing records and looking for duplicate records using record matching rules,
there is an option if NO match is found to "ignore incoming record (its items may
still be processed)". This doesn't make any sense. Where would the items go if there
is no match?

To test:
1) Go to Tools > Stage MARC for import
2) Browse and choose a file with at least one record that is not already in your
catalog and click on Upload file
3) Fill out the first section with the appropriate information
4) In the Look for existing records in catalog? section, choose a record matching
rule
5) In the Action if no match is found drop-down menu, choose Ignore incoming record
(its items may still be processed)
6) Click on Stage for import
7) Click on Manage staged records
8) Click Import this batch in the catalog
9) In the table, the record status should say Ignore
10) Apply patch
11) Redo steps 1-9, notice the option Ignore incoming records does not mention items
12) Make sure the tool still works and still ignores the record

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2020-03-18 08:45:40 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 18:39:44 UTC
Backported to 19.11.x for 19.11.05
Comment 7 Lucas Gass 2020-04-13 16:24:23 UTC
backported to 19.05.x for 19.05.10
Comment 8 Hayley Mapley 2020-04-16 21:50:55 UTC
Minor patch will not be backported to 18.11.x series